Index: xmlsec1-1.2.6.patch
===================================================================
RCS file: /cvs/external/libxmlsec/xmlsec1-1.2.6.patch,v
retrieving revision 1.13
retrieving revision 1.13.8.1
diff -u -r1.13 -r1.13.8.1
--- xmlsec1-1.2.6.patch	9 Mar 2006 10:18:52 -0000	1.13
+++ xmlsec1-1.2.6.patch	11 Jun 2006 14:40:45 -0000	1.13.8.1
@@ -37,7 +37,11 @@
   LIBXML_LIBS=""
   LIBXML_FOUND="no"
 ***************
-*** 25682,25688 ****
+*** 25678,25688 ****
+  
+  XMLSEC_NO_NSS="1"
+  MOZILLA_MIN_VERSION="1.4"
+  NSS_MIN_VERSION="3.2"
   NSPR_MIN_VERSION="4.0"
   NSS_CFLAGS=""
   NSS_LIBS=""
@@ -45,7 +49,14 @@
   NSPR_LIBS_LIST="-lnspr4 -lplds4 -lplc4"
   NSS_CRYPTO_LIB="$PACKAGE-nss"
   NSS_FOUND="no"
---- 25682,25688 ----
+--- 25678,25691 ----
+  
+  XMLSEC_NO_NSS="1"
+  MOZILLA_MIN_VERSION="1.4"
++ if test "z$MOZ_FLAVOUR" = "zfirefox" ; then
++     MOZILLA_MIN_VERSION="1.0"
++ fi
+  NSS_MIN_VERSION="3.2"
   NSPR_MIN_VERSION="4.0"
   NSS_CFLAGS=""
   NSS_LIBS=""
@@ -54,6 +65,72 @@
   NSS_CRYPTO_LIB="$PACKAGE-nss"
   NSS_FOUND="no"
 ***************
+*** 25766,25788 ****
+    else
+       PKG_CONFIG_MIN_VERSION=0.9.0
+       if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+!         echo "$as_me:$LINENO: checking for mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION" >&5
+! echo $ECHO_N "checking for mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION... $ECHO_C" >&6
+  
+!         if $PKG_CONFIG --exists "mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION" ; then
+              echo "$as_me:$LINENO: result: yes" >&5
+  echo "${ECHO_T}yes" >&6
+              succeeded=yes
+  
+              echo "$as_me:$LINENO: checking NSS_CFLAGS" >&5
+  echo $ECHO_N "checking NSS_CFLAGS... $ECHO_C" >&6
+!             NSS_CFLAGS=`$PKG_CONFIG --cflags "mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION"`
+              echo "$as_me:$LINENO: result: $NSS_CFLAGS" >&5
+  echo "${ECHO_T}$NSS_CFLAGS" >&6
+  
+              echo "$as_me:$LINENO: checking NSS_LIBS" >&5
+  echo $ECHO_N "checking NSS_LIBS... $ECHO_C" >&6
+!             NSS_LIBS=`$PKG_CONFIG --libs "mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION"`
+              echo "$as_me:$LINENO: result: $NSS_LIBS" >&5
+  echo "${ECHO_T}$NSS_LIBS" >&6
+          else
+--- 25769,25791 ----
+    else
+       PKG_CONFIG_MIN_VERSION=0.9.0
+       if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+!         echo "$as_me:$LINENO: checking for $MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION" >&5
+! echo $ECHO_N "checking for $MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION... $ECHO_C" >&6
+  
+!         if $PKG_CONFIG --exists "$MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION" ; then
+              echo "$as_me:$LINENO: result: yes" >&5
+  echo "${ECHO_T}yes" >&6
+              succeeded=yes
+  
+              echo "$as_me:$LINENO: checking NSS_CFLAGS" >&5
+  echo $ECHO_N "checking NSS_CFLAGS... $ECHO_C" >&6
+!             NSS_CFLAGS=`$PKG_CONFIG --cflags "$MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION"`
+              echo "$as_me:$LINENO: result: $NSS_CFLAGS" >&5
+  echo "${ECHO_T}$NSS_CFLAGS" >&6
+  
+              echo "$as_me:$LINENO: checking NSS_LIBS" >&5
+  echo $ECHO_N "checking NSS_LIBS... $ECHO_C" >&6
+!             NSS_LIBS=`$PKG_CONFIG --libs "$MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION"`
+              echo "$as_me:$LINENO: result: $NSS_LIBS" >&5
+  echo "${ECHO_T}$NSS_LIBS" >&6
+          else
+***************
+*** 25790,25796 ****
+              NSS_LIBS=""
+              ## If we have a custom action on failure, don't print errors, but
+              ## do set a variable so people can do so.
+!             NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION"`
+  
+          fi
+  
+--- 25793,25799 ----
+              NSS_LIBS=""
+              ## If we have a custom action on failure, don't print errors, but
+              ## do set a variable so people can do so.
+!             NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION"`
+  
+          fi
+  
+***************
 *** 25817,25824 ****
           ac_mozilla_name=mozilla-$MOZILLA_MIN_VERSION
       fi
@@ -63,7 +140,7 @@
   
       echo "$as_me:$LINENO: checking for nspr libraries >= $NSPR_MIN_VERSION" >&5
   echo $ECHO_N "checking for nspr libraries >= $NSPR_MIN_VERSION... $ECHO_C" >&6
---- 25817,25824 ----
+--- 25820,25827 ----
           ac_mozilla_name=mozilla-$MOZILLA_MIN_VERSION
       fi
   
@@ -81,7 +158,7 @@
   		        	if test "z$dir" = "z/usr/lib" ; then
               	    NSPR_LIBS="$NSPR_LIBS_LIST"
       		else
---- 25853,25859 ----
+--- 25856,25862 ----
   	done
   
   	for dir in $ac_nss_lib_dir ; do
@@ -98,7 +175,7 @@
           	    		if test "z$dir" = "z/usr/lib" ; then
           	    NSS_LIBS="$NSS_LIBS_LIST"
                   else
---- 25939,25945 ----
+--- 25942,25948 ----
           done
   
           for dir in $ac_nss_lib_dir ; do
@@ -126,7 +203,11 @@
   LIBXML_LIBS=""
   LIBXML_FOUND="no"
 ***************
-*** 507,513 ****
+*** 503,513 ****
+      
+  XMLSEC_NO_NSS="1"
+  MOZILLA_MIN_VERSION="1.4"
+  NSS_MIN_VERSION="3.2"
   NSPR_MIN_VERSION="4.0"
   NSS_CFLAGS=""
   NSS_LIBS=""
@@ -134,7 +215,14 @@
   NSPR_LIBS_LIST="-lnspr4 -lplds4 -lplc4"
   NSS_CRYPTO_LIB="$PACKAGE-nss"
   NSS_FOUND="no"
---- 507,513 ----
+--- 503,516 ----
+      
+  XMLSEC_NO_NSS="1"
+  MOZILLA_MIN_VERSION="1.4"
++ if test "z$MOZ_FLAVOUR" = "zfirefox" ; then
++     MOZILLA_MIN_VERSION="1.0"
++ fi
+  NSS_MIN_VERSION="3.2"
   NSPR_MIN_VERSION="4.0"
   NSS_CFLAGS=""
   NSS_LIBS=""
@@ -143,6 +231,23 @@
   NSS_CRYPTO_LIB="$PACKAGE-nss"
   NSS_FOUND="no"
 ***************
+*** 521,527 ****
+      AC_MSG_RESULT(no)
+      NSS_FOUND="without"
+  elif test "z$with_nss" = "z" -a "z$with_nspr" = "z" -a "z$with_mozilla_ver" = "z" -a "z$PKG_CONFIG_ENABLED" = "zyes" ; then
+!     PKG_CHECK_MODULES(NSS, mozilla-nspr >= $MOZILLA_MIN_VERSION mozilla-nss >= $MOZILLA_MIN_VERSION,
+  	[NSS_FOUND=yes],
+  	[NSS_FOUND=no])
+  fi
+--- 524,530 ----
+      AC_MSG_RESULT(no)
+      NSS_FOUND="without"
+  elif test "z$with_nss" = "z" -a "z$with_nspr" = "z" -a "z$with_mozilla_ver" = "z" -a "z$PKG_CONFIG_ENABLED" = "zyes" ; then
+!     PKG_CHECK_MODULES(NSS, $MOZ_FLAVOUR-nspr >= $MOZILLA_MIN_VERSION $MOZ_FLAVOUR-nss >= $MOZILLA_MIN_VERSION,
+  	[NSS_FOUND=yes],
+  	[NSS_FOUND=no])
+  fi
+***************
 *** 534,541 ****
           ac_mozilla_name=mozilla-$MOZILLA_MIN_VERSION
       fi
@@ -152,7 +257,7 @@
   
       AC_MSG_CHECKING(for nspr libraries >= $NSPR_MIN_VERSION)
       NSPR_INCLUDES_FOUND="no"
---- 534,541 ----
+--- 537,544 ----
           ac_mozilla_name=mozilla-$MOZILLA_MIN_VERSION
       fi
   
@@ -170,7 +275,7 @@
   		dnl do not add -L/usr/lib because compiler does it anyway
           	if test "z$dir" = "z/usr/lib" ; then
               	    NSPR_LIBS="$NSPR_LIBS_LIST"
---- 570,576 ----
+--- 573,579 ----
   	done
   	
   	for dir in $ac_nss_lib_dir ; do
@@ -187,7 +292,7 @@
           	dnl do not add -L/usr/lib because compiler does it anyway
       		if test "z$dir" = "z/usr/lib" ; then
           	    NSS_LIBS="$NSS_LIBS_LIST"
---- 641,647 ----
+--- 644,650 ----
           done
          
           for dir in $ac_nss_lib_dir ; do