Index: source/ucp/webdav/LinkSequence.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/LinkSequence.cxx,v
retrieving revision 1.10
retrieving revision 1.10.6.1
diff -u -r1.10 -r1.10.6.1
--- source/ucp/webdav/LinkSequence.cxx	20 Jun 2006 05:35:33 -0000	1.10
+++ source/ucp/webdav/LinkSequence.cxx	13 Jul 2006 15:18:19 -0000	1.10.6.1
@@ -177,7 +177,7 @@
                       rInData.getStr() + nStart,
                       nEnd - nStart + TOKEN_LENGTH );
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 	success = !ne_xml_failed( parser );
 #else
         success = !!ne_xml_valid( parser );
Index: source/ucp/webdav/LockEntrySequence.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/LockEntrySequence.cxx,v
retrieving revision 1.10
retrieving revision 1.10.6.1
diff -u -r1.10 -r1.10.6.1
--- source/ucp/webdav/LockEntrySequence.cxx	20 Jun 2006 05:35:45 -0000	1.10
+++ source/ucp/webdav/LockEntrySequence.cxx	13 Jul 2006 15:18:19 -0000	1.10.6.1
@@ -202,7 +202,7 @@
                        rInData.getStr() + nStart,
                        nEnd - nStart + TOKEN_LENGTH );
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
         success = !ne_xml_failed( parser );
 #else
         success = !!ne_xml_valid( parser );
Index: source/ucp/webdav/LockSequence.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/LockSequence.cxx,v
retrieving revision 1.11
retrieving revision 1.11.6.1
diff -u -r1.11 -r1.11.6.1
--- source/ucp/webdav/LockSequence.cxx	20 Jun 2006 05:35:56 -0000	1.11
+++ source/ucp/webdav/LockSequence.cxx	13 Jul 2006 15:18:19 -0000	1.11.6.1
@@ -335,7 +335,7 @@
                       rInData.getStr() + nStart,
                       nEnd - nStart + TOKEN_LENGTH );
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
         success = !ne_xml_failed( parser );
 #else
         success = !!ne_xml_valid( parser );
Index: source/ucp/webdav/NeonHeadRequest.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/NeonHeadRequest.cxx,v
retrieving revision 1.4
retrieving revision 1.4.26.1
diff -u -r1.4 -r1.4.26.1
--- source/ucp/webdav/NeonHeadRequest.cxx	9 Feb 2006 14:25:55 -0000	1.4
+++ source/ucp/webdav/NeonHeadRequest.cxx	13 Jul 2006 15:18:19 -0000	1.4.26.1
@@ -51,7 +51,7 @@
 using namespace webdav_ucp;
 using namespace com::sun::star;
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 static void process_headers(ne_request *req,
                             DAVResource &rResource,
                             const std::vector< ::rtl::OUString > &rHeaderNames)
@@ -190,14 +190,14 @@
                                             inPath,
                                             RTL_TEXTENCODING_UTF8 ) );
 
-#ifndef NEONTWOFIVE
+#if NEON_VERSION < 0250
     NeonHeadRequestContext aCtx( &ioResource, &inHeaderNames );
     ne_add_response_header_catcher( req, NHR_ResponseHeaderCatcher, &aCtx );
 #endif
 
     nError = ne_request_dispatch( req );
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
     process_headers(req, ioResource, inHeaderNames);
 #endif
 
Index: source/ucp/webdav/NeonPropFindRequest.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/NeonPropFindRequest.cxx,v
retrieving revision 1.15
retrieving revision 1.15.6.1
diff -u -r1.15 -r1.15.6.1
--- source/ucp/webdav/NeonPropFindRequest.cxx	20 Jun 2006 05:36:43 -0000	1.15
+++ source/ucp/webdav/NeonPropFindRequest.cxx	13 Jul 2006 15:18:19 -0000	1.15.6.1
@@ -175,11 +175,19 @@
 
 // -------------------------------------------------------------------
 extern "C" void NPFR_propfind_results( void* userdata,
+#if NEON_VERSION >= 0260
+                                       const ne_uri* href_uri,
+#else
                                        const char* href,
+#endif
                                        const NeonPropFindResultSet* set )
 {
 	// @@@ href is not the uri! DAVResource ctor wants uri!
 
+#if NEON_VERSION >= 0260
+	// href should be free'd? says header ...
+	char* href = ne_uri_unparse(href_uri);
+#endif
 	DAVResource theResource(
 						OStringToOUString( href, RTL_TEXTENCODING_UTF8 ) );
 
@@ -209,11 +217,19 @@
 
 // -------------------------------------------------------------------
 extern "C" void NPFR_propnames_results( void* userdata,
+#if NEON_VERSION >= 0260
+                                        const ne_uri* href_uri,
+#else
                                         const char* href,
+#endif
                                         const NeonPropFindResultSet* results )
 {
 	// @@@ href is not the uri! DAVResourceInfo ctor wants uri!
 
+#if NEON_VERSION >= 0260
+	// href should be free'd? says header ...
+	char* href = ne_uri_unparse(href_uri);
+#endif
 	// Create entry for the resource.
 	DAVResourceInfo theResource(
 						OStringToOUString( href, RTL_TEXTENCODING_UTF8 ) );
Index: source/ucp/webdav/NeonSession.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/NeonSession.cxx,v
retrieving revision 1.40
retrieving revision 1.40.6.1
diff -u -r1.40 -r1.40.6.1
--- source/ucp/webdav/NeonSession.cxx	20 Jun 2006 05:37:07 -0000	1.40
+++ source/ucp/webdav/NeonSession.cxx	13 Jul 2006 15:18:19 -0000	1.40.6.1
@@ -221,7 +221,7 @@
 // ResponseBlockReader
 // A simple Neon response_block_reader for use with an XInputStream
 // -------------------------------------------------------------------
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 extern "C" int NeonSession_ResponseBlockReader
 #else
 extern "C" void NeonSession_ResponseBlockReader
@@ -244,7 +244,7 @@
                 xInputStream->AddToStream( inBuf, inLen );
         }
 	}
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 	return 0;
 #endif
 }
@@ -253,7 +253,7 @@
 // ResponseBlockWriter
 // A simple Neon response_block_reader for use with an XOutputStream
 // -------------------------------------------------------------------
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 extern "C" int NeonSession_ResponseBlockWriter
 #else
 extern "C" void NeonSession_ResponseBlockWriter
@@ -273,7 +273,7 @@
             xOutputStream->writeBytes( aSeq );
         }
 	}
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 	return 0;
 #endif
 }
@@ -1542,7 +1542,7 @@
 }
 */
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 static void run_header_handler(ne_request *req, ne_header_handler handler, void *userdata)
 {
     void *cursor = NULL;
@@ -1570,13 +1570,13 @@
     //struct get_context ctx;
     ne_request * req = ne_request_create( sess, "GET", uri );
     int ret;
-#ifndef NEONTWOFIVE
+#if NEON_VERSION < 0250
     ne_add_response_header_catcher( req, handler, userdata );
 #endif
     ne_add_response_body_reader( req, ne_accept_2xx, reader, userdata );
 
     ret = ne_request_dispatch( req );
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
     run_header_handler(req, handler, userdata);
 #endif
 
Index: source/ucp/webdav/NeonSession.hxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/NeonSession.hxx,v
retrieving revision 1.25
retrieving revision 1.25.6.1
diff -u -r1.25 -r1.25.6.1
--- source/ucp/webdav/NeonSession.hxx	20 Jun 2006 05:37:20 -0000	1.25
+++ source/ucp/webdav/NeonSession.hxx	13 Jul 2006 15:18:20 -0000	1.25.6.1
@@ -49,7 +49,7 @@
 #include "NeonTypes.hxx"
 #endif
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
 typedef void (*ne_header_handler)(void *userdata, const char *value);
 #endif
 
Index: source/ucp/webdav/NeonUri.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/NeonUri.cxx,v
retrieving revision 1.15
retrieving revision 1.15.6.1
diff -u -r1.15 -r1.15.6.1
--- source/ucp/webdav/NeonUri.cxx	20 Jun 2006 05:37:31 -0000	1.15
+++ source/ucp/webdav/NeonUri.cxx	13 Jul 2006 15:18:20 -0000	1.15.6.1
@@ -59,9 +59,15 @@
 // the string fields of ne_uri are char*, not const char*
 # pragma disable_warn
 # endif
+#if NEON_VERSION >= 0260
+ne_uri NeonUri::sUriDefaultsHTTP  = { "http",  NULL, NULL, DEFAULT_HTTP_PORT };
+ne_uri NeonUri::sUriDefaultsHTTPS = { "https", NULL, NULL, DEFAULT_HTTPS_PORT };
+ne_uri NeonUri::sUriDefaultsFTP   = { "ftp",   NULL, NULL, DEFAULT_FTP_PORT };
+#else
 ne_uri NeonUri::sUriDefaultsHTTP  = { "http",  NULL, DEFAULT_HTTP_PORT,  NULL, NULL };
 ne_uri NeonUri::sUriDefaultsHTTPS = { "https", NULL, DEFAULT_HTTPS_PORT, NULL, NULL };
 ne_uri NeonUri::sUriDefaultsFTP   = { "ftp",   NULL, DEFAULT_FTP_PORT,   NULL, NULL };
+#endif
 # if defined __SUNPRO_CC
 # pragma enable_warn
 #endif
@@ -140,7 +146,11 @@
                     pUri->scheme ? pUri->scheme : pUriDefs->scheme,
                     RTL_TEXTENCODING_UTF8 );
     mUserInfo = rtl::OStringToOUString(
+#if NEON_VERSION >= 0260
+                    pUri->userinfo ? pUri->userinfo : pUriDefs->userinfo,
+#else
                     pUri->authinfo ? pUri->authinfo : pUriDefs->authinfo,
+#endif
                     RTL_TEXTENCODING_UTF8 );
     mHostName = rtl::OStringToOUString(
                     pUri->host ? pUri->host : pUriDefs->host,
Index: source/ucp/webdav/UCBDeadPropertyValue.cxx
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/UCBDeadPropertyValue.cxx,v
retrieving revision 1.11
retrieving revision 1.11.6.1
diff -u -r1.11 -r1.11.6.1
--- source/ucp/webdav/UCBDeadPropertyValue.cxx	20 Jun 2006 05:37:53 -0000	1.11
+++ source/ucp/webdav/UCBDeadPropertyValue.cxx	13 Jul 2006 15:18:20 -0000	1.11.6.1
@@ -390,7 +390,7 @@
 
         ne_xml_parse( parser, rInData.getStr(), rInData.getLength() );
 
-#ifdef NEONTWOFIVE
+#if NEON_VERSION >= 0250
         success = !ne_xml_failed( parser );
 #else
         success = !!ne_xml_valid( parser );
Index: source/ucp/webdav/makefile.mk
===================================================================
RCS file: /cvs/ucb/ucb/source/ucp/webdav/makefile.mk,v
retrieving revision 1.28
retrieving revision 1.28.16.1
diff -u -r1.28 -r1.28.16.1
--- source/ucp/webdav/makefile.mk	20 Apr 2006 13:31:56 -0000	1.28
+++ source/ucp/webdav/makefile.mk	13 Jul 2006 15:18:20 -0000	1.28.16.1
@@ -57,12 +57,9 @@
 .INCLUDE: settings.mk
 .INCLUDE: sv.mk
 
+CFLAGS+= -DNEON_VERSION=$(NEON_VERSION)
 .IF "$(SYSTEM_NEON)" == "YES"
 CFLAGS+= $(NEON_CFLAGS)
-TWOFIVE:=$(shell pkg-config --atleast-version=0.25.0 neon && echo YES || echo NO)
-.IF "$(TWOFIVE)" == "YES"
-CFLAGS+=-DNEONTWOFIVE
-.ENDIF
 .ELSE
 NEONINCDIR=external$/neon
 CFLAGS+= -I$(SOLARINCDIR)$/$(NEONINCDIR)