Index: source/commontools/dbtools.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/commontools/dbtools.cxx,v
retrieving revision 1.60
retrieving revision 1.60.8.1
diff -u -r1.60 -r1.60.8.1
--- source/commontools/dbtools.cxx	20 Jun 2006 01:06:02 -0000	1.60
+++ source/commontools/dbtools.cxx	30 Jun 2006 11:29:45 -0000	1.60.8.1
@@ -1132,7 +1132,7 @@
 				Reference< XNumberFormatTypes> xTypeList(xFormats, UNO_QUERY);
 				if (xTypeList.is())
 				{
-					sal_Int16 nClassId;
+					sal_Int16 nClassId = 0;
 					xOldProps->getPropertyValue(sPropClassId) >>= nClassId;
 					switch (nClassId)
 					{
Index: source/drivers/adabas/BTables.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/adabas/BTables.cxx,v
retrieving revision 1.32
retrieving revision 1.32.8.1
diff -u -r1.32 -r1.32.8.1
--- source/drivers/adabas/BTables.cxx	20 Jun 2006 01:11:03 -0000	1.32
+++ source/drivers/adabas/BTables.cxx	30 Jun 2006 11:44:33 -0000	1.32.8.1
@@ -218,7 +218,7 @@
 
 		Reference<XPropertySet> xProp(xObject,UNO_QUERY);
 		sal_Bool bIsView;
-		if(bIsView = (xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW"))) // here we have a view
+		if((bIsView = (xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW")))) // here we have a view
 			aSql += ::rtl::OUString::createFromAscii("VIEW ");
 		else
 			aSql += ::rtl::OUString::createFromAscii("TABLE ");
Index: source/drivers/dbase/DTable.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/dbase/DTable.cxx,v
retrieving revision 1.94
retrieving revision 1.94.10.1
diff -u -r1.94 -r1.94.10.1
--- source/drivers/dbase/DTable.cxx	20 Jun 2006 01:21:12 -0000	1.94
+++ source/drivers/dbase/DTable.cxx	30 Jun 2006 11:44:33 -0000	1.94.10.1
@@ -1158,9 +1158,9 @@
 	INetURLObject aURL;
 	aURL.SetURL(_sUrl);
 
-	BOOL bDropped = FALSE;
+	BOOL bDropped = ::utl::UCBContentHelper::Kill(aURL.GetMainURL(INetURLObject::NO_DECODE));
 
-	if(bDropped = ::utl::UCBContentHelper::Kill(aURL.GetMainURL(INetURLObject::NO_DECODE)))
+	if(bDropped)
 	{
 		if (_bHasMemoFields)
 		{  // delete the memo fields
Index: source/drivers/dbase/dindexnode.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/dbase/dindexnode.cxx,v
retrieving revision 1.18
retrieving revision 1.18.10.1
diff -u -r1.18 -r1.18.10.1
--- source/drivers/dbase/dindexnode.cxx	20 Jun 2006 01:21:48 -0000	1.18
+++ source/drivers/dbase/dindexnode.cxx	30 Jun 2006 11:44:33 -0000	1.18.10.1
@@ -747,7 +747,7 @@
 	rStream >> aChild;
 }
 
-union
+union NodeData
 {
 	double aDbl;
 	char   aData[128];
Index: source/drivers/hsqldb/HCatalog.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/hsqldb/HCatalog.cxx,v
retrieving revision 1.4
retrieving revision 1.4.128.1
diff -u -r1.4 -r1.4.128.1
--- source/drivers/hsqldb/HCatalog.cxx	8 Sep 2005 06:02:34 -0000	1.4
+++ source/drivers/hsqldb/HCatalog.cxx	30 Jun 2006 11:44:34 -0000	1.4.128.1
@@ -112,7 +112,7 @@
 		Reference<XRow> xRow(xRes,UNO_QUERY);
 		while ( xRow.is() && xRes->next() )
 		{
-			if ( bSupportsViews = xRow->getString(1).equalsIgnoreAsciiCase(aTypes[0]) )
+			if ( (bSupportsViews = xRow->getString(1).equalsIgnoreAsciiCase(aTypes[0])) )
 			{
 				break;
 			}
Index: source/drivers/hsqldb/HTables.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/hsqldb/HTables.cxx,v
retrieving revision 1.5
retrieving revision 1.5.8.1
diff -u -r1.5 -r1.5.8.1
--- source/drivers/hsqldb/HTables.cxx	20 Jun 2006 01:30:42 -0000	1.5
+++ source/drivers/hsqldb/HTables.cxx	30 Jun 2006 11:44:34 -0000	1.5.8.1
@@ -184,7 +184,7 @@
 
         Reference<XPropertySet> xProp(xObject,UNO_QUERY);
 		sal_Bool bIsView;
-		if(bIsView = (xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW"))) // here we have a view
+		if((bIsView = (xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW")))) // here we have a view
 			aSql += ::rtl::OUString::createFromAscii("VIEW ");
 		else
 			aSql += ::rtl::OUString::createFromAscii("TABLE ");
Index: source/drivers/mozab/bootstrap/makefile.mk
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/mozab/bootstrap/makefile.mk,v
retrieving revision 1.6
retrieving revision 1.6.10.1
diff -u -r1.6 -r1.6.10.1
--- source/drivers/mozab/bootstrap/makefile.mk	20 Jun 2006 01:49:11 -0000	1.6
+++ source/drivers/mozab/bootstrap/makefile.mk	30 Jun 2006 11:44:34 -0000	1.6.10.1
@@ -133,7 +133,7 @@
 CDEFS+=     -DOSTYPE=\"Linux2.2.14-5\" -DOJI
 
 CFLAGSCXX += \
-            -fno-rtti -Wall -Wconversion -Wpointer-arith \
+            -fno-rtti -Wconversion -Wpointer-arith \
             -Wcast-align -Woverloaded-virtual -Wsynth \
             -Wno-long-long -pthread
 CDEFS     += -DTRACING
Index: source/drivers/mozab/mozillasrc/makefile.mk
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/mozab/mozillasrc/makefile.mk,v
retrieving revision 1.18
retrieving revision 1.18.10.1
diff -u -r1.18 -r1.18.10.1
--- source/drivers/mozab/mozillasrc/makefile.mk	20 Jun 2006 01:52:40 -0000	1.18
+++ source/drivers/mozab/mozillasrc/makefile.mk	30 Jun 2006 11:44:35 -0000	1.18.10.1
@@ -131,7 +131,7 @@
 CDEFS+=     -DOSTYPE=\"Linux2.2.14-5\" -DOJI
 
 CFLAGSCXX += \
-            -fno-rtti -Wall -Wconversion -Wpointer-arith \
+            -fno-rtti -Wconversion -Wpointer-arith \
             -Wcast-align -Woverloaded-virtual -Wsynth \
             -Wno-long-long -pthread
 CDEFS     += -DTRACING
Index: source/drivers/mysql/YCatalog.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/mysql/YCatalog.cxx,v
retrieving revision 1.4
retrieving revision 1.4.128.1
diff -u -r1.4 -r1.4.128.1
--- source/drivers/mysql/YCatalog.cxx	8 Sep 2005 06:31:16 -0000	1.4
+++ source/drivers/mysql/YCatalog.cxx	30 Jun 2006 11:44:35 -0000	1.4.128.1
@@ -114,7 +114,7 @@
 		Reference<XRow> xRow(xRes,UNO_QUERY);
 		while ( xRow.is() && xRes->next() )
 		{
-			if ( bSupportsViews = xRow->getString(1).equalsIgnoreAsciiCase(aTypes[0]) )
+			if ( (bSupportsViews = xRow->getString(1).equalsIgnoreAsciiCase(aTypes[0])) )
 			{
 				break;
 			}
Index: source/drivers/mysql/YTables.cxx
===================================================================
RCS file: /cvs/dba/connectivity/source/drivers/mysql/YTables.cxx,v
retrieving revision 1.8
retrieving revision 1.8.8.1
diff -u -r1.8 -r1.8.8.1
--- source/drivers/mysql/YTables.cxx	20 Jun 2006 01:53:30 -0000	1.8
+++ source/drivers/mysql/YTables.cxx	30 Jun 2006 11:44:35 -0000	1.8.8.1
@@ -200,8 +200,8 @@
 		::rtl::OUString aSql = ::rtl::OUString::createFromAscii("DROP ");
 
 		Reference<XPropertySet> xProp(xObject,UNO_QUERY);
-		sal_Bool bIsView;
-		if(bIsView = (xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW"))) // here we have a view
+		sal_Bool bIsView = xProp.is() && ::comphelper::getString(xProp->getPropertyValue(OMetaConnection::getPropMap().getNameByIndex(PROPERTY_ID_TYPE))) == ::rtl::OUString::createFromAscii("VIEW");
+		if(bIsView) // here we have a view
 			aSql += ::rtl::OUString::createFromAscii("VIEW ");
 		else
 			aSql += ::rtl::OUString::createFromAscii("TABLE ");