Index: source/component/ComboBox.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/component/ComboBox.cxx,v
retrieving revision 1.31
retrieving revision 1.31.2.1
diff -u -r1.31 -r1.31.2.1
--- source/component/ComboBox.cxx	19 Jun 2006 12:46:18 -0000	1.31
+++ source/component/ComboBox.cxx	30 Jun 2006 12:17:35 -0000	1.31.2.1
@@ -417,7 +417,7 @@
 
 	if ((nAnyMask & BOUNDCOLUMN) == BOUNDCOLUMN)
 	{
-		sal_Int16 nBoundColumn;
+		sal_Int16 nBoundColumn = 0;
 		m_aBoundColumn >>= nBoundColumn;
 		_rxOutStream << nBoundColumn;
 	}
Index: source/component/DatabaseForm.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/component/DatabaseForm.cxx,v
retrieving revision 1.73
retrieving revision 1.73.2.1
diff -u -r1.73 -r1.73.2.1
--- source/component/DatabaseForm.cxx	19 Jun 2006 12:46:56 -0000	1.73
+++ source/component/DatabaseForm.cxx	30 Jun 2006 12:17:35 -0000	1.73.2.1
@@ -654,7 +654,7 @@
 	if (!hasProperty(PROPERTY_NAME, xComponentSet))
 		return;
 
-	sal_Int16 nClassId;
+	sal_Int16 nClassId = 0;
 	xComponentSet->getPropertyValue(PROPERTY_CLASSID) >>= nClassId;
 	::rtl::OUString aName;
 	xComponentSet->getPropertyValue( PROPERTY_NAME ) >>= aName;
@@ -717,7 +717,7 @@
 			// <name>=<refValue>
 			if( !hasProperty(PROPERTY_STATE, xComponentSet) )
 				break;
-			sal_Int16 nChecked;
+			sal_Int16 nChecked = 0;
 			xComponentSet->getPropertyValue( PROPERTY_STATE ) >>= nChecked;
 			if( nChecked != 1 )
 				break;
@@ -802,7 +802,7 @@
 				double aDoubleVal;
 				if (aVal >>= aDoubleVal)
 				{
-					sal_Int16 nScale;
+					sal_Int16 nScale = 0;
 					xComponentSet->getPropertyValue( PROPERTY_DECIMAL_ACCURACY ) >>= nScale;
 					aText = ::rtl::math::doubleToUString(aDoubleVal, rtl_math_StringFormat_F, nScale, '.', sal_True);
 				}
Index: source/component/ImageControl.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/component/ImageControl.cxx,v
retrieving revision 1.42
retrieving revision 1.42.4.1
diff -u -r1.42 -r1.42.4.1
--- source/component/ImageControl.cxx	19 Jun 2006 12:51:46 -0000	1.42
+++ source/component/ImageControl.cxx	30 Jun 2006 12:17:35 -0000	1.42.4.1
@@ -820,7 +820,7 @@
 					return;
 			}
 
-			sal_Bool bReadOnly;
+			sal_Bool bReadOnly = false;
 			xSet->getPropertyValue(PROPERTY_READONLY) >>= bReadOnly;
 			if (bReadOnly)
 				return;
Index: source/component/ListBox.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/component/ListBox.cxx,v
retrieving revision 1.44
retrieving revision 1.44.2.1
diff -u -r1.44 -r1.44.2.1
--- source/component/ListBox.cxx	19 Jun 2006 12:52:12 -0000	1.44
+++ source/component/ListBox.cxx	30 Jun 2006 12:17:35 -0000	1.44.2.1
@@ -526,7 +526,7 @@
 
         if ((nAnyMask & BOUNDCOLUMN) == BOUNDCOLUMN)
         {
-            sal_Int16 nBoundColumn;
+            sal_Int16 nBoundColumn = 0;
             m_aBoundColumn >>= nBoundColumn;
             _rxOutStream << nBoundColumn;
         }
@@ -1096,7 +1096,7 @@
             if (nSelCount > 1)
             {
                 // Einfach- oder Mehrfach-Selektion
-                sal_Bool bMultiSel;
+                sal_Bool bMultiSel = false;
                 const_cast<OListBoxModel*>(this)->OPropertySetAggregationHelper::getFastPropertyValue(PROPERTY_ID_MULTISELECTION) >>= bMultiSel;
                 if (bMultiSel)
                     nSelCount = 1;
Index: source/component/RadioButton.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/component/RadioButton.cxx,v
retrieving revision 1.18
retrieving revision 1.18.4.1
diff -u -r1.18 -r1.18.4.1
--- source/component/RadioButton.cxx	19 Jun 2006 12:53:01 -0000	1.18
+++ source/component/RadioButton.cxx	30 Jun 2006 12:17:35 -0000	1.18.4.1
@@ -209,7 +209,7 @@
 			// nur wenn es ein Radio-Button ist
 			if (!hasProperty(PROPERTY_CLASSID, xSiblingProperties))
 				continue;
-			sal_Int16 nType;
+			sal_Int16 nType = 0;
 			xSiblingProperties->getPropertyValue(PROPERTY_CLASSID) >>= nType;
 			if (nType != FormComponentType::RADIOBUTTON)
 				continue;
@@ -262,7 +262,7 @@
 					// nur wenn ich nicht mich selber gefunden habe
 					continue;
 
-				sal_Int16 nType;
+				sal_Int16 nType = 0;
 				xSiblingProperties->getPropertyValue(PROPERTY_CLASSID) >>= nType;
 				if (nType != FormComponentType::RADIOBUTTON)
 					// nur Radio-Buttons
@@ -430,7 +430,7 @@
 	{
 		try
 		{
-			sal_Int16 nValue;
+			sal_Int16 nValue = 0;
 			m_xAggregateSet->getPropertyValue( PROPERTY_STATE ) >>= nValue;
 			if ( nValue == 1 )
 				xField->setPropertyValue( PROPERTY_VALUE, makeAny( getReferenceValue() ) );
Index: source/xforms/convert.cxx
===================================================================
RCS file: /cvs/gsl/forms/source/xforms/convert.cxx,v
retrieving revision 1.4
retrieving revision 1.4.96.1
diff -u -r1.4 -r1.4.96.1
--- source/xforms/convert.cxx	8 Sep 2005 23:15:28 -0000	1.4
+++ source/xforms/convert.cxx	30 Jun 2006 12:17:36 -0000	1.4.96.1
@@ -242,7 +242,7 @@
 
     // ------------------------------------------------------------------------
     OUString lcl_toXSD_bool( const Any& rAny )
-    { bool b; rAny >>= b; return b ? OUSTRING("true") : OUSTRING("false"); }
+    { bool b = false; rAny >>= b; return b ? OUSTRING("true") : OUSTRING("false"); }
 
     // ------------------------------------------------------------------------
     Any lcl_toAny_bool( const OUString& rStr )
Index: source/xforms/propertysetbase.hxx
===================================================================
RCS file: /cvs/gsl/forms/source/xforms/propertysetbase.hxx,v
retrieving revision 1.5
retrieving revision 1.5.4.1
diff -u -r1.5 -r1.5.4.1
--- source/xforms/propertysetbase.hxx	19 Jun 2006 13:04:41 -0000	1.5
+++ source/xforms/propertysetbase.hxx	30 Jun 2006 12:17:36 -0000	1.5.4.1
@@ -109,7 +109,7 @@
 
     virtual void    setValue( const com::sun::star::uno::Any& rValue )
     {
-        VALUE aTypedVal;
+        VALUE aTypedVal = VALUE();
         OSL_VERIFY( rValue >>= aTypedVal );
         (m_pInstance->*m_pWriter)( aTypedVal );
     }