Index: source/breakiterator/gendict.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/breakiterator/gendict.cxx,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -r1.6 -r1.6.2.1
--- source/breakiterator/gendict.cxx	20 Jun 2006 04:42:18 -0000	1.6
+++ source/breakiterator/gendict.cxx	30 Jun 2006 11:57:36 -0000	1.6.2.1
@@ -161,7 +161,10 @@
 				break;
 		    }
 		    prev = charArray[(i*0x100) + j];
-		    fprintf(cfp, "0x%x, ", k < 0x10000 ? charArray[k] + 1 : 0);
+		    fprintf(
+                cfp, "0x%lx, ",
+                sal::static_int_cast< unsigned long >(
+                    k < 0x10000 ? charArray[k] + 1 : 0));
 		    if ((j+1) % 0x10 == 0)
 			fprintf (cfp, "\n\t");
 		}
Index: source/defaultnumberingprovider/defaultnumberingprovider.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/defaultnumberingprovider/defaultnumberingprovider.cxx,v
retrieving revision 1.23
retrieving revision 1.23.2.1
diff -u -r1.23 -r1.23.2.1
--- source/defaultnumberingprovider/defaultnumberingprovider.cxx	20 Jun 2006 04:44:55 -0000	1.23
+++ source/defaultnumberingprovider/defaultnumberingprovider.cxx	30 Jun 2006 11:57:36 -0000	1.23.2.1
@@ -242,7 +242,7 @@
      Locale locale;
 
      OUString  prefix;
-     sal_Int16        numType; // type of formatting from style::NumberingType (roman, arabic, etc)
+     sal_Int16        numType = -1; // type of formatting from style::NumberingType (roman, arabic, etc)
      OUString  suffix;
      sal_Int32        number = -12345; // the number that needs to be formatted.
 
Index: source/indexentry/genindex_data.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/indexentry/genindex_data.cxx,v
retrieving revision 1.2
retrieving revision 1.2.32.1
diff -u -r1.2 -r1.2.32.1
--- source/indexentry/genindex_data.cxx	31 Jan 2006 18:36:59 -0000	1.2
+++ source/indexentry/genindex_data.cxx	30 Jun 2006 11:57:37 -0000	1.2.32.1
@@ -118,7 +118,8 @@
 	fprintf(fp, "\nstatic const sal_uInt16 idx1[] = {");
     for (i = k = 0; i < 0x100;  i++) {
         if (k++ % 16 == 0) fprintf(fp, "\n\t");
-        fprintf(fp, "0x%04x, ", index[i]);
+        fprintf(
+            fp, "0x%04lx, ", sal::static_int_cast< unsigned long >(index[i]));
     }
 	fprintf(fp, "\n};\n\n");
 
@@ -130,7 +131,10 @@
             for (j = 0; j<0x100; j++) {
                 if (k++ % 16 == 0) fprintf(fp, "\n\t");
                 sal_Int32 ad=address[i*0x100+j];
-                fprintf(fp, "0x%04x, ", ad == -1 ? 0 : max == 2 ? ustr[ad] : ad);
+                fprintf(
+                    fp, "0x%04lx, ",
+                    sal::static_int_cast< unsigned long >(
+                        ad == -1 ? 0 : max == 2 ? ustr[ad] : ad));
             }
             fprintf(fp, "\n\t");
         }
Index: source/indexentry/indexentrysupplier_asian.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/indexentry/indexentrysupplier_asian.cxx,v
retrieving revision 1.7
retrieving revision 1.7.2.1
diff -u -r1.7 -r1.7.2.1
--- source/indexentry/indexentrysupplier_asian.cxx	20 Jun 2006 04:45:06 -0000	1.7
+++ source/indexentry/indexentrysupplier_asian.cxx	30 Jun 2006 11:57:37 -0000	1.7.2.1
@@ -118,7 +118,7 @@
         int (*func)()=NULL;
         const sal_Char *func_name=NULL;
         if (rLocale.Language.equalsAscii("zh"))
-            func_name=(OUString::createFromAscii("TW HK MO").indexOf(rLocale.Country) >= 0) ?  "get_zh_zhuyin" : func_name="get_zh_pinyin";
+            func_name=(OUString::createFromAscii("TW HK MO").indexOf(rLocale.Country) >= 0) ?  "get_zh_zhuyin" : "get_zh_pinyin";
         else if (rLocale.Language.equalsAscii("ko"))
             func_name="get_ko_phonetic";
         if (func_name) 
Index: source/localedata/LocaleNode.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/localedata/LocaleNode.cxx,v
retrieving revision 1.23
retrieving revision 1.23.2.1
diff -u -r1.23 -r1.23.2.1
--- source/localedata/LocaleNode.cxx	20 Jun 2006 04:47:00 -0000	1.23
+++ source/localedata/LocaleNode.cxx	30 Jun 2006 11:57:37 -0000	1.23.2.1
@@ -269,15 +269,17 @@
     if (nLen < nMinLen)
     {
         ++nError;
-        fprintf( stderr, "Error: less than %d character%s (%d) in %s '%s'.\n",
-                nMinLen, (nMinLen > 1 ? "s" : ""), nLen,
+        fprintf( stderr, "Error: less than %ld character%s (%ld) in %s '%s'.\n",
+                sal::static_int_cast< long >(nMinLen), (nMinLen > 1 ? "s" : ""),
+                sal::static_int_cast< long >(nLen),
                 (pNode ? OUStringToOString( pNode->getName(), RTL_TEXTENCODING_UTF8).getStr() : ""),
                 OUStringToOString( aVal, RTL_TEXTENCODING_UTF8).getStr());
     }
     else if (nLen > nMaxLen && nMaxLen >= 0)
         fprintf( stderr,
-                "Warning: more than %d character%s (%d) in %s %s not supported by application.\n",
-                nMaxLen, (nMaxLen > 1 ? "s" : ""), nLen,
+                "Warning: more than %ld character%s (%ld) in %s %s not supported by application.\n",
+                sal::static_int_cast< long >(nMaxLen), (nMaxLen > 1 ? "s" : ""),
+                sal::static_int_cast< long >(nLen),
                 (pNode ? OUStringToOString( pNode->getName(), RTL_TEXTENCODING_UTF8).getStr() : ""),
                 OUStringToOString( aVal, RTL_TEXTENCODING_UTF8).getStr());
     return aVal;
@@ -789,7 +791,9 @@
 	if( getNumberOfChildren() != 1 )
 	{
         ++nError;
-        fprintf( stderr, "Error: LC_SEARCH: more than 1 child: %d\n", getNumberOfChildren());
+        fprintf(
+            stderr, "Error: LC_SEARCH: more than 1 child: %ld\n",
+            sal::static_int_cast< long >(getNumberOfChildren()));
 	}
 	sal_Int32 i;
 	LocaleNode* pSearchOptions = getChildAt( 0 );
Index: source/textconversion/genconv_dict.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/textconversion/genconv_dict.cxx,v
retrieving revision 1.8
retrieving revision 1.8.2.1
diff -u -r1.8 -r1.8.2.1
--- source/textconversion/genconv_dict.cxx	20 Jun 2006 04:48:45 -0000	1.8
+++ source/textconversion/genconv_dict.cxx	30 Jun 2006 11:57:38 -0000	1.8.2.1
@@ -146,7 +146,10 @@
                 if (Hanja2HangulData[((i*0x10)+j)*0x100+k] != 0)
                     break;
             }
-            fprintf(cfp, "0x%04x, ", k < 0x100 ? (address++)*0x100 : 0xFFFF);
+            fprintf(
+                cfp, "0x%04lx, ",
+                sal::static_int_cast< unsigned long >(
+                    k < 0x100 ? (address++)*0x100 : 0xFFFF));
         }
 	}
 	fprintf(cfp, "\n};\n");
@@ -219,7 +222,10 @@
                 if (SChinese2TChineseData[((i*0x10)+j)*0x100+k] != 0)
                     break;
             }
-            fprintf(cfp, "0x%04x, ", k < 0x100 ? (address++)*0x100 : 0xFFFF);
+            fprintf(
+                cfp, "0x%04lx, ",
+                sal::static_int_cast< unsigned long >(
+                    k < 0x100 ? (address++)*0x100 : 0xFFFF));
         }
 	}
 	fprintf(cfp, "\n};\n");
@@ -253,7 +259,10 @@
                 if (SChinese2VChineseData[((i*0x10)+j)*0x100+k] != 0)
                     break;
             }
-            fprintf(cfp, "0x%04x, ", k < 0x100 ? (address++)*0x100 : 0xFFFF);
+            fprintf(
+                cfp, "0x%04lx, ",
+                sal::static_int_cast< unsigned long >(
+                    k < 0x100 ? (address++)*0x100 : 0xFFFF));
         }
 	}
 	fprintf(cfp, "\n};\n");
@@ -287,7 +296,10 @@
                 if (TChinese2SChineseData[((i*0x10)+j)*0x100+k] != 0)
                     break;
             }
-            fprintf(cfp, "0x%04x, ", k < 0x100 ? (address++)*0x100 : 0xFFFF);
+            fprintf(
+                cfp, "0x%04lx, ",
+                sal::static_int_cast< unsigned long >(
+                    k < 0x100 ? (address++)*0x100 : 0xFFFF));
         }
 	}
 	fprintf(cfp, "\n};\n");
@@ -355,7 +367,7 @@
 	    OUString Ostr((const sal_Char *)Cstr, strlen(Cstr) - 1, RTL_TEXTENCODING_UTF8);
         sal_Int32  len = Ostr.getLength();
         if (char_total + len + 1 > 0xFFFF) {
-            fprintf(stderr, "Word Dictionary stc_word.dic is too big (line %d)", line);
+            fprintf(stderr, "Word Dictionary stc_word.dic is too big (line %ld)", sal::static_int_cast< long >(line));
             return;
         }
         sal_Int32 sep=-1, eq=-1, gt=-1, lt=-1;
@@ -377,7 +389,7 @@
                 STC_WordData[char_total++] = (i == sep) ? 0 : Ostr[i];
             STC_WordData[char_total++] = 0;
         } else {
-            fprintf(stderr, "Invalid entry in stc_word.dic (line %d)", line);
+            fprintf(stderr, "Invalid entry in stc_word.dic (line %ld)", sal::static_int_cast< long >(line));
             return;
         }
         line++;
@@ -391,7 +403,7 @@
         }
         fprintf(cfp, "\n};\n");
 
-        fprintf(cfp, "\nstatic sal_Int32 STC_WordData_Count = %d;\n", char_total);
+        fprintf(cfp, "\nstatic sal_Int32 STC_WordData_Count = %ld;\n", sal::static_int_cast< long >(char_total));
 
         // create function to return arrays
         fprintf (cfp, "\tconst sal_Unicode* getSTC_WordData(sal_Int32& count) { count = STC_WordData_Count; return STC_WordData; }\n");
@@ -426,7 +438,7 @@
         }
         fprintf(cfp, "\n};\n");
 
-        fprintf(cfp, "\nstatic sal_Int32 STC_WordIndex_S2T_Count = %d;\n", length);
+        fprintf(cfp, "\nstatic sal_Int32 STC_WordIndex_S2T_Count = %ld;\n", sal::static_int_cast< long >(length));
         fprintf (cfp, "\tconst sal_uInt16* getSTC_WordEntry_S2T() { return STC_WordEntry_S2T; }\n");
         fprintf (cfp, "\tconst sal_uInt16* getSTC_WordIndex_S2T(sal_Int32& count) { count = STC_WordIndex_S2T_Count; return STC_WordIndex_S2T; }\n");
     } else {
@@ -459,7 +471,7 @@
         }
         fprintf(cfp, "\n};\n");
 
-        fprintf(cfp, "\nstatic sal_Int32 STC_WordIndex_T2S_Count = %d;\n\n", length);
+        fprintf(cfp, "\nstatic sal_Int32 STC_WordIndex_T2S_Count = %ld;\n\n", sal::static_int_cast< long >(length));
         fprintf (cfp, "\tconst sal_uInt16* getSTC_WordEntry_T2S() { return STC_WordEntry_T2S; }\n");
         fprintf (cfp, "\tconst sal_uInt16* getSTC_WordIndex_T2S(sal_Int32& count) { count = STC_WordIndex_T2S_Count; return STC_WordIndex_T2S; }\n");
     } else {
Index: source/textconversion/textconversion_ko.cxx
===================================================================
RCS file: /cvs/l10n/i18npool/source/textconversion/textconversion_ko.cxx,v
retrieving revision 1.11
retrieving revision 1.11.2.1
diff -u -r1.11 -r1.11.2.1
--- source/textconversion/textconversion_ko.cxx	20 Jun 2006 04:49:07 -0000	1.11
+++ source/textconversion/textconversion_ko.cxx	30 Jun 2006 11:57:38 -0000	1.11.2.1
@@ -219,7 +219,7 @@
         // FROM_LEFT:  Hangul -> Hanja
         // FROM_RIGHT: Hanja  -> Hangul
         ConversionDirection eDirection = toHanja ? ConversionDirection_FROM_LEFT : ConversionDirection_FROM_RIGHT;
-        sal_Int32 maxLength = maxLength = toHanja ? maxLeftLength : maxRightLength;
+        sal_Int32 maxLength = toHanja ? maxLeftLength : maxRightLength;
         if (maxLength == 0) maxLength = 1;
 
         // search for a max length of convertible text