Index: source/parser/rsclex.cxx
===================================================================
RCS file: /cvs/gsl/rsc/source/parser/rsclex.cxx,v
retrieving revision 1.10
retrieving revision 1.10.8.1
diff -u -r1.10 -r1.10.8.1
--- source/parser/rsclex.cxx	20 Jun 2006 05:46:49 -0000	1.10
+++ source/parser/rsclex.cxx	30 Jun 2006 12:31:16 -0000	1.10.8.1
@@ -85,7 +85,7 @@
 RscFileInst*	pFI;
 RscTypCont* 	pTC;
 RscExpression * pExp;
-struct {
+struct KeyVal {
 	int 	nKeyWord;
 	YYSTYPE aYYSType;
 } aKeyVal[ 1 ];
Index: source/parser/rscyacc.cxx
===================================================================
RCS file: /cvs/gsl/rsc/source/parser/rscyacc.cxx,v
retrieving revision 1.7
retrieving revision 1.7.8.1
diff -u -r1.7 -r1.7.8.1
--- source/parser/rscyacc.cxx	20 Jun 2006 05:47:10 -0000	1.7
+++ source/parser/rscyacc.cxx	3 Jul 2006 06:44:08 -0000	1.7.8.1
@@ -285,7 +285,7 @@
 
 #if defined _MSC_VER
 #pragma warning(push, 1)
-#pragma warning(disable:4129 4701)
+#pragma warning(disable:4129 4273 4701)
 #endif
 #include "yyrscyacc.cxx"
 #if defined _MSC_VER
Index: source/parser/rscyacc.y
===================================================================
RCS file: /cvs/gsl/rsc/source/parser/rscyacc.y,v
retrieving revision 1.8
retrieving revision 1.8.6.2
diff -u -r1.8 -r1.8.6.2
--- source/parser/rscyacc.y	20 Jun 2006 05:47:22 -0000	1.8
+++ source/parser/rscyacc.y	30 Jun 2006 08:16:03 -0000	1.8.6.2
@@ -34,31 +34,8 @@
  ************************************************************************/
 
 %{
-#ifdef WNT
-#include <stdarg.h>
-namespace std {
-int fprintf(FILE* stream, const char* format, ...)
-{
-    va_list va_param;
-
-    va_start(va_param, format);
-	int res = ::vfprintf(stream, format, va_param);
-    va_end(va_param);
-
-    return res;
-}
-
-void* malloc( size_t size )
-{
-    return ::malloc(size);
-}
-
-void free( void *memblock )
-{
-    ::free(memblock);
-}
-    
-};
+#if defined __GNUC__
+#pragma GCC system_header
 #endif
 %}
 
Index: source/res/rscclass.cxx
===================================================================
RCS file: /cvs/gsl/rsc/source/res/rscclass.cxx,v
retrieving revision 1.7
retrieving revision 1.7.8.1
diff -u -r1.7 -r1.7.8.1
--- source/res/rscclass.cxx	20 Jun 2006 05:47:40 -0000	1.7
+++ source/res/rscclass.cxx	30 Jun 2006 12:31:16 -0000	1.7.8.1
@@ -1069,7 +1069,8 @@
 			// Superaufruf
 			fprintf( fOutput, "\n\t: %s", pHS->getString( GetSuperClass()->GetId() ).getStr() );
 			fprintf( fOutput, "%s", GetSuperClass()->aCallPar1.GetBuffer() );
-			fprintf( fOutput, " rResId.SetRT2( 0x%x ) )", GetTypId() );
+			fprintf( fOutput, " rResId.SetRT2( 0x%lx ) )",
+                     sal::static_int_cast< unsigned long >(GetTypId()) );
 		}
 		fprintf( fOutput, "\n{\n" );
 		fprintf( fOutput, "\tsal_uInt32\tnObjMask;\n" );
@@ -1083,8 +1084,9 @@
 		{
 			if( !((VAR_NODATAINST | VAR_NORC) & pVarTypeList[ i ].nVarType ))
 			{
-				fprintf( fOutput, "\tif( nObjMask & 0x%x )\n\t{\n",
-						pVarTypeList[ i ].nMask );
+				fprintf( fOutput, "\tif( nObjMask & 0x%lx )\n\t{\n",
+                         sal::static_int_cast< unsigned long >(
+                             pVarTypeList[ i ].nMask) );
 
 				pVarTypeList[ i ].pClass->WriteRcAccess( fOutput, pTC,
 									pHS->getString( pVarTypeList[ i ].nVarName ).getStr() );
Index: source/res/rscrange.cxx
===================================================================
RCS file: /cvs/gsl/rsc/source/res/rscrange.cxx,v
retrieving revision 1.7
retrieving revision 1.7.8.1
diff -u -r1.7 -r1.7.8.1
--- source/res/rscrange.cxx	20 Jun 2006 05:48:14 -0000	1.7
+++ source/res/rscrange.cxx	30 Jun 2006 12:31:17 -0000	1.7.8.1
@@ -253,9 +253,9 @@
 {
 	fprintf( fOutput, "\t\tSet%s( ", pName );
 	if( nMin >= 0 )
-		fprintf( fOutput, "*(sal_uInt32 *)(pResData+nOffset) );\n", pName );
+		fprintf( fOutput, "*(sal_uInt32 *)(pResData+nOffset) );\n" );
 	else
-		fprintf( fOutput, "*(sal_Int32 *)(pResData+nOffset) );\n", pName );
+		fprintf( fOutput, "*(sal_Int32 *)(pResData+nOffset) );\n" );
 	fprintf( fOutput, "\t\tnOffset += sizeof( sal_uInt32 );\n" );
 }
 
@@ -457,7 +457,7 @@
 )
 {
 	fprintf( fOutput, "\t\tSet%s( ", pName );
-	fprintf( fOutput, "GetLong( pResData+nOffset ) );\n", pName );
+	fprintf( fOutput, "GetLong( pResData+nOffset ) );\n" );
 	fprintf( fOutput, "\t\tnOffset += sizeof( INT32 );\n" );
 }
 
@@ -709,7 +709,7 @@
 )
 {
 	fprintf( fOutput, "\t\tSet%s( ", pName );
-	fprintf( fOutput, "GetLong( pResData+nOffset ) );\n", pName );
+	fprintf( fOutput, "GetLong( pResData+nOffset ) );\n" );
 	fprintf( fOutput, "\t\tnOffset += sizeof( INT32 );\n" );
 }
 
@@ -795,7 +795,7 @@
 )
 {
 	fprintf( fOutput, "\t\tSet%s( ", pName );
-	fprintf( fOutput, "(BOOL)*(short *)(pResData+nOffset) );\n", pName );
+	fprintf( fOutput, "(BOOL)*(short *)(pResData+nOffset) );\n" );
 	fprintf( fOutput, "\t\tnOffset += sizeof( short );\n" );
 }
 