Index: source/control/bindings.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/bindings.cxx,v
retrieving revision 1.44
retrieving revision 1.44.10.1
diff -u -r1.44 -r1.44.10.1
--- source/control/bindings.cxx	19 Jun 2006 22:16:10 -0000	1.44
+++ source/control/bindings.cxx	30 Jun 2006 12:32:39 -0000	1.44.10.1
@@ -2651,13 +2651,13 @@
 
                 	if ( pType == ::getBooleanCppuType() )
 					{
-						sal_Bool bTemp ;
+						sal_Bool bTemp = false;
 						aAny >>= bTemp ;
                     	pItem = new SfxBoolItem( nSlot, bTemp );
 					}
                 	else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 					{
-						sal_uInt16 nTemp ;
+						sal_uInt16 nTemp = 0;
 						aAny >>= nTemp ;
                     	pItem = new SfxUInt16Item( nSlot, nTemp );
 					}
Index: source/control/macro.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/macro.cxx,v
retrieving revision 1.7
retrieving revision 1.7.10.1
diff -u -r1.7 -r1.7.10.1
--- source/control/macro.cxx	19 Jun 2006 22:17:01 -0000	1.7
+++ source/control/macro.cxx	30 Jun 2006 12:32:39 -0000	1.7.10.1
@@ -359,13 +359,13 @@
             ::com::sun::star::uno::Type pType = rValue.getValueType();
 			if ( pType == ::getBooleanCppuType() )
 			{
-                sal_Bool bTemp;
+                sal_Bool bTemp = false;
                 rValue >>= bTemp;
                 aArg = bTemp ? DEFINE_CONST_UNICODE("TRUE") : DEFINE_CONST_UNICODE("FALSE");
 			}
             else if ( pType == ::getCppuType((const sal_Int16*)0) )
 			{
-                sal_uInt16 nTemp;
+                sal_uInt16 nTemp = 0;
                 rValue >>= nTemp;
                 aArg = String::CreateFromInt32( (sal_Int32) nTemp );
 			}
Index: source/control/querystatus.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/querystatus.cxx,v
retrieving revision 1.5
retrieving revision 1.5.10.1
diff -u -r1.5 -r1.5.10.1
--- source/control/querystatus.cxx	19 Jun 2006 22:17:48 -0000	1.5
+++ source/control/querystatus.cxx	30 Jun 2006 12:32:39 -0000	1.5.10.1
@@ -156,13 +156,13 @@
 
 		if ( pType == ::getBooleanCppuType() )
 		{
-			sal_Bool bTemp ;
+			sal_Bool bTemp = false;
 			rEvent.State >>= bTemp ;
 			m_pItem = new SfxBoolItem( m_nSlotID, bTemp );
 		}
 		else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 		{
-			sal_uInt16 nTemp ;
+			sal_uInt16 nTemp = 0;
 			rEvent.State >>= nTemp ;
 			m_pItem = new SfxUInt16Item( m_nSlotID, nTemp );
 		}
Index: source/control/sfxstatuslistener.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/sfxstatuslistener.cxx,v
retrieving revision 1.7
retrieving revision 1.7.10.1
diff -u -r1.7 -r1.7.10.1
--- source/control/sfxstatuslistener.cxx	19 Jun 2006 22:18:11 -0000	1.7
+++ source/control/sfxstatuslistener.cxx	30 Jun 2006 12:32:39 -0000	1.7.10.1
@@ -263,13 +263,13 @@
         }
 		else if ( pType == ::getBooleanCppuType() )
 		{
-			sal_Bool bTemp ;
+			sal_Bool bTemp = false;
 			rEvent.State >>= bTemp ;
 			pItem = new SfxBoolItem( m_nSlotID, bTemp );
 		}
 		else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 		{
-			sal_uInt16 nTemp ;
+			sal_uInt16 nTemp = 0;
 			rEvent.State >>= nTemp ;
 			pItem = new SfxUInt16Item( m_nSlotID, nTemp );
 		}
Index: source/control/srchitem.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/srchitem.cxx,v
retrieving revision 1.16
retrieving revision 1.16.10.1
diff -u -r1.16 -r1.16.10.1
--- source/control/srchitem.cxx	19 Jun 2006 22:18:47 -0000	1.16
+++ source/control/srchitem.cxx	30 Jun 2006 12:32:39 -0000	1.16.10.1
@@ -296,7 +296,7 @@
 {
 	SetSearchString( rDescr->getSearchString() );
 	::com::sun::star::uno::Any aAny = rDescr->getPropertyValue( DEFINE_CONST_UNICODE("SearchWords") );
-	sal_Bool bTemp ;
+	sal_Bool bTemp = false;
 	aAny >>= bTemp ;
 	SetWordOnly( bTemp );
 	aAny = rDescr->getPropertyValue( DEFINE_CONST_UNICODE("SearchCaseSensitive") );
@@ -318,7 +318,7 @@
 	aAny >>= bTemp ;
 	SetLEVRelaxed( bTemp );
 	aAny = rDescr->getPropertyValue( DEFINE_CONST_UNICODE("SearchSimilarityExchange") );
-	sal_Int16 nTemp ;
+	sal_Int16 nTemp = 0;
 	aAny >>= nTemp ;
 	SetLEVOther( nTemp );
 	aAny = rDescr->getPropertyValue( DEFINE_CONST_UNICODE("SearchSimilarityRemove") );
Index: source/control/statcach.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/statcach.cxx,v
retrieving revision 1.29
retrieving revision 1.29.10.1
diff -u -r1.29 -r1.29.10.1
--- source/control/statcach.cxx	19 Jun 2006 22:18:59 -0000	1.29
+++ source/control/statcach.cxx	30 Jun 2006 12:32:40 -0000	1.29.10.1
@@ -129,7 +129,7 @@
 	{
         SfxPoolItem *pItem=NULL;
         sal_uInt16 nId = pCache->GetId();
-        SfxItemState eState = eState = SFX_ITEM_DISABLED;
+        SfxItemState eState = SFX_ITEM_DISABLED;
         // pCache->Invalidate( sal_False );
         if ( !aStatus.IsEnabled )
         {
@@ -143,13 +143,13 @@
 			::com::sun::star::uno::Type pType =	aAny.getValueType();
 			if ( pType == ::getBooleanCppuType() )
 			{
-				sal_Bool bTemp ;
+				sal_Bool bTemp = false;
 				aAny >>= bTemp ;
 				pItem = new SfxBoolItem( nId, bTemp );
 			}
 			else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 			{
-				sal_uInt16 nTemp ;
+				sal_uInt16 nTemp = 0;
 				aAny >>= nTemp ;
 				pItem = new SfxUInt16Item( nId, nTemp );
 			}
Index: source/control/unoctitm.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/control/unoctitm.cxx,v
retrieving revision 1.51
retrieving revision 1.51.10.1
diff -u -r1.51 -r1.51.10.1
--- source/control/unoctitm.cxx	19 Jun 2006 22:19:13 -0000	1.51
+++ source/control/unoctitm.cxx	30 Jun 2006 12:32:40 -0000	1.51.10.1
@@ -190,13 +190,13 @@
 
 			if ( pType == ::getBooleanCppuType() )
 			{
-				sal_Bool bTemp ;
+				sal_Bool bTemp = false;
 				rEvent.State >>= bTemp ;
 				pItem = new SfxBoolItem( pCtrlItem->GetId(), bTemp );
 			}
 			else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 			{
-				sal_uInt16 nTemp ;
+				sal_uInt16 nTemp = 0;
 				rEvent.State >>= nTemp ;
 				pItem = new SfxUInt16Item( pCtrlItem->GetId(), nTemp );
 			}
Index: source/dialog/cfg.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/dialog/cfg.cxx,v
retrieving revision 1.56
retrieving revision 1.56.10.1
diff -u -r1.56 -r1.56.10.1
--- source/dialog/cfg.cxx	19 Jun 2006 22:20:17 -0000	1.56
+++ source/dialog/cfg.cxx	30 Jun 2006 12:32:40 -0000	1.56.10.1
@@ -618,7 +618,7 @@
 	// Check configuration to see whether only Basic macros,
   // only Scripting Framework scripts, or both should be listed
 	Any value;
-	sal_Bool tmp;
+	sal_Bool tmp = false;
 
 	value = ::utl::ConfigManager::GetConfigManager()->GetLocalProperty(
 		::rtl::OUString::createFromAscii(
Index: source/doc/objuno.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/doc/objuno.cxx,v
retrieving revision 1.22
retrieving revision 1.22.10.1
diff -u -r1.22 -r1.22.10.1
--- source/doc/objuno.cxx	19 Jun 2006 22:30:23 -0000	1.22
+++ source/doc/objuno.cxx	30 Jun 2006 12:32:41 -0000	1.22.10.1
@@ -858,7 +858,7 @@
 	}
 	else if ( _pInfo && aValue.getValueType() == ::getBooleanCppuType() )
 	{
-		sal_Bool bBoolVal ;
+		sal_Bool bBoolVal = false;
 		aValue >>= bBoolVal ;
 		switch ( nHandle )
 		{
@@ -889,7 +889,7 @@
 	}
 	else if ( _pInfo && aValue.getValueType() == ::getCppuType((const sal_Int16*)0) )
 	{
-		short nIntVal ;
+		short nIntVal = 0;
 		aValue >>= nIntVal ;
 		switch ( nHandle )
 		{
Index: source/doc/sfxbasemodel.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/doc/sfxbasemodel.cxx,v
retrieving revision 1.112
retrieving revision 1.112.10.1
diff -u -r1.112 -r1.112.10.1
--- source/doc/sfxbasemodel.cxx	26 Jun 2006 09:52:22 -0000	1.112
+++ source/doc/sfxbasemodel.cxx	30 Jun 2006 12:32:41 -0000	1.112.10.1
@@ -2204,7 +2204,7 @@
 			{
 				// actually in this very rare case only UI parameters have sence
 				// TODO/LATER: should be done later, after integration of sb19
-				if ( bRet = m_pData->m_pObjectShell->DoSave() )
+				if ( (bRet = m_pData->m_pObjectShell->DoSave()) )
 					bRet = m_pData->m_pObjectShell->DoSaveCompleted();
 			}
 			else
Index: source/inet/inettbc.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/inet/inettbc.cxx,v
retrieving revision 1.32
retrieving revision 1.32.10.1
diff -u -r1.32 -r1.32.10.1
--- source/inet/inettbc.cxx	19 Jun 2006 22:35:18 -0000	1.32
+++ source/inet/inettbc.cxx	30 Jun 2006 12:32:41 -0000	1.32.10.1
@@ -376,7 +376,7 @@
 	}
 
 	ToolBox& rToolBox = GetToolBox();
-	USHORT nId = bExecute ? nId = aMenu.Execute( &rToolBox, rToolBox.GetPointerPosPixel() ) : 0;
+	USHORT nId = bExecute ? aMenu.Execute( &rToolBox, rToolBox.GetPointerPosPixel() ) : 0;
 	GetToolBox().EndSelection();
 //	ClearCache();
 //	UpdateSlot();
Index: source/statbar/stbitem.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/statbar/stbitem.cxx,v
retrieving revision 1.11
retrieving revision 1.11.10.1
diff -u -r1.11 -r1.11.10.1
--- source/statbar/stbitem.cxx	19 Jun 2006 22:36:40 -0000	1.11
+++ source/statbar/stbitem.cxx	30 Jun 2006 12:32:42 -0000	1.11.10.1
@@ -304,13 +304,13 @@
                 }
                 else if ( pType == ::getBooleanCppuType() )
 			    {
-				    sal_Bool bTemp ;
+				    sal_Bool bTemp = 0;
 				    rEvent.State >>= bTemp ;
 				    pItem = new SfxBoolItem( nSlotID, bTemp );
 			    }
 			    else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 			    {
-				    sal_uInt16 nTemp ;
+				    sal_uInt16 nTemp = 0;
 				    rEvent.State >>= nTemp ;
 				    pItem = new SfxUInt16Item( nSlotID, nTemp );
 			    }
Index: source/toolbox/tbxitem.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/toolbox/tbxitem.cxx,v
retrieving revision 1.60
retrieving revision 1.60.10.1
diff -u -r1.60 -r1.60.10.1
--- source/toolbox/tbxitem.cxx	19 Jun 2006 22:37:05 -0000	1.60
+++ source/toolbox/tbxitem.cxx	30 Jun 2006 12:32:42 -0000	1.60.10.1
@@ -633,13 +633,13 @@
                 }
                 else if ( pType == ::getBooleanCppuType() )
 			    {
-				    sal_Bool bTemp ;
+				    sal_Bool bTemp = false;
 				    rEvent.State >>= bTemp ;
 				    pItem = new SfxBoolItem( nSlotId, bTemp );
 			    }
 			    else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 			    {
-				    sal_uInt16 nTemp ;
+				    sal_uInt16 nTemp = 0;
 				    rEvent.State >>= nTemp ;
 				    pItem = new SfxUInt16Item( nSlotId, nTemp );
 			    }
@@ -1188,13 +1188,13 @@
                 }
                 else if ( pType == ::getBooleanCppuType() )
 			    {
-				    sal_Bool bTemp ;
+				    sal_Bool bTemp = false;
 				    rEvent.State >>= bTemp ;
 				    pItem = new SfxBoolItem( nSlotId, bTemp );
 			    }
 			    else if ( pType == ::getCppuType((const sal_uInt16*)0) )
 			    {
-				    sal_uInt16 nTemp ;
+				    sal_uInt16 nTemp = 0;
 				    rEvent.State >>= nTemp ;
 				    pItem = new SfxUInt16Item( nSlotId, nTemp );
 			    }