Index: source/awt/vclxcontainer.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxcontainer.cxx,v
retrieving revision 1.4
retrieving revision 1.4.6.1
diff -u -r1.4 -r1.4.6.1
--- source/awt/vclxcontainer.cxx	19 Jun 2006 23:00:49 -0000	1.4
+++ source/awt/vclxcontainer.cxx	30 Jun 2006 11:50:53 -0000	1.4.6.1
@@ -157,7 +157,7 @@
 			nStyle &= ~(WB_TABSTOP|WB_NOTABSTOP|WB_GROUP);
 			if ( pTabs[n].getValueType().getTypeClass() == ::com::sun::star::uno::TypeClass_BOOLEAN )
 			{
-				sal_Bool bTab;
+				sal_Bool bTab = false;
 				pTabs[n] >>= bTab;
 				nStyle |= ( bTab ? WB_TABSTOP : WB_NOTABSTOP );
 			}
Index: source/awt/vclxwindow.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxwindow.cxx,v
retrieving revision 1.61
retrieving revision 1.61.6.1
diff -u -r1.61 -r1.61.6.1
--- source/awt/vclxwindow.cxx	19 Jun 2006 23:02:22 -0000	1.61
+++ source/awt/vclxwindow.cxx	30 Jun 2006 11:50:53 -0000	1.61.6.1
@@ -1647,7 +1647,7 @@
 			case BASEPROPERTY_BORDER:
 			{
 				WinBits nStyle = pWindow->GetStyle();
-				sal_uInt16 nBorder;
+				sal_uInt16 nBorder = 0;
 				Value >>= nBorder;
 				if ( !nBorder )
 				{
@@ -1665,7 +1665,7 @@
 				WinBits nStyle = pWindow->GetStyle() & ~WB_TABSTOP;
 				if ( !bVoid )
 				{
-					sal_Bool bTab;
+					sal_Bool bTab = false;
 					Value >>= bTab;
 					if ( bTab )
 						nStyle |= WB_TABSTOP;
@@ -1746,7 +1746,7 @@
                     )
 				{
 					WinBits nStyle = pWindow->GetStyle();
-					sal_Bool bMulti;
+					sal_Bool bMulti = false;
 					Value >>= bMulti;
 					if ( bMulti )
 						nStyle |= WB_WORDBREAK;
@@ -1781,7 +1781,7 @@
 			break;
             case BASEPROPERTY_AUTOMNEMONICS:
             {
-                sal_Bool bAutoMnemonics;
+                sal_Bool bAutoMnemonics = false;
                 Value >>= bAutoMnemonics;
 			    AllSettings aSettings = pWindow->GetSettings();
 			    StyleSettings aStyleSettings = aSettings.GetStyleSettings();
@@ -1795,7 +1795,7 @@
 			break;
             case BASEPROPERTY_MOUSETRANSPARENT:
             {
-                sal_Bool bMouseTransparent;
+                sal_Bool bMouseTransparent = false;
                 Value >>= bMouseTransparent;
                 pWindow->SetMouseTransparent( bMouseTransparent );
             }
Index: source/awt/vclxwindows.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxwindows.cxx,v
retrieving revision 1.54
retrieving revision 1.54.6.1
diff -u -r1.54 -r1.54.6.1
--- source/awt/vclxwindows.cxx	19 Jun 2006 23:02:50 -0000	1.54
+++ source/awt/vclxwindows.cxx	30 Jun 2006 11:50:53 -0000	1.54.6.1
@@ -3326,8 +3326,7 @@
 				if ( nPropType == BASEPROPERTY_BORDER )
 				{
 					sal_uInt16 nBorder;
-					Value >>= nBorder;
-					if ( nBorder )
+					if ( (Value >>= nBorder) && nBorder != 0 )
 						pComboBox->SetBorderStyle( nBorder );
 				}
 			}
Index: source/controls/formattedcontrol.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/controls/formattedcontrol.cxx,v
retrieving revision 1.7
retrieving revision 1.7.108.1
diff -u -r1.7 -r1.7.108.1
--- source/controls/formattedcontrol.cxx	9 Sep 2005 13:17:02 -0000	1.7
+++ source/controls/formattedcontrol.cxx	30 Jun 2006 11:50:54 -0000	1.7.108.1
@@ -117,11 +117,11 @@
 			double dVal = 0;
 			sal_Int32  nVal = 0;
 			::rtl::OUString sVal;
-			if ( bStreamed = (rValue >>= dVal) )
+			if ( (bStreamed = (rValue >>= dVal)) )
 				rConvertedValue <<= dVal;
-			else if ( bStreamed = (rValue >>= nVal) )
+			else if ( (bStreamed = (rValue >>= nVal)) )
 				rConvertedValue <<= static_cast<double>(nVal);
-			else if ( bStreamed = (rValue >>= sVal) )
+			else if ( (bStreamed = (rValue >>= sVal)) )
 				rConvertedValue <<= sVal;
 
 			if ( bStreamed )
Index: source/controls/roadmapcontrol.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/controls/roadmapcontrol.cxx,v
retrieving revision 1.6
retrieving revision 1.6.6.1
diff -u -r1.6 -r1.6.6.1
--- source/controls/roadmapcontrol.cxx	19 Jun 2006 23:03:43 -0000	1.6
+++ source/controls/roadmapcontrol.cxx	30 Jun 2006 11:50:54 -0000	1.6.6.1
@@ -303,7 +303,7 @@
     sal_Int16 UnoControlRoadmapModel::GetCurrentItemID( Reference< XPropertySet > xPropertySet )
     {
         Any aAny = xPropertySet->getPropertyValue( GetPropertyName( BASEPROPERTY_CURRENTITEMID ) );
-        sal_Int16 n_CurrentItemID;
+        sal_Int16 n_CurrentItemID = 0;
         aAny >>= n_CurrentItemID;
         return n_CurrentItemID;
     }
@@ -354,7 +354,7 @@
                     return;
                 aAny <<= n_CurrentItemID;
             }
-            else if (Index = n_CurrentItemID)
+            else if (Index == n_CurrentItemID)
                 aAny <<= ( sal_Int16 ) -1;
             else if( Index < n_CurrentItemID)
                 aAny <<= ( sal_Int16 ) ( n_CurrentItemID - 1 );
Index: source/controls/unocontrolmodel.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/controls/unocontrolmodel.cxx,v
retrieving revision 1.47
retrieving revision 1.47.6.1
diff -u -r1.47 -r1.47.6.1
--- source/controls/unocontrolmodel.cxx	19 Jun 2006 23:05:03 -0000	1.47
+++ source/controls/unocontrolmodel.cxx	30 Jun 2006 11:50:54 -0000	1.47.6.1
@@ -689,7 +689,7 @@
 
 			if ( rType == ::getBooleanCppuType() )
 			{
-				sal_Bool b;
+				sal_Bool b = false;
 				rValue >>= b;
 				OutStream->writeBoolean( b );
 			}
@@ -701,13 +701,13 @@
 			}
 			else if ( rType == ::getCppuType((const sal_uInt16*)0) )
 			{
-				sal_uInt16 n;
+				sal_uInt16 n = 0;
 				rValue >>= n;
 				OutStream->writeShort( n );
 			}
 			else if ( rType == ::getCppuType((const sal_Int16*)0) )
 			{
-				sal_Int16 n;
+				sal_Int16 n = 0;
 				rValue >>= n;
 				OutStream->writeShort( n );
 			}
@@ -1196,12 +1196,12 @@
 					{
 						// try as double
 						double nAsDouble = 0;
-						if ( bConverted = ( rValue >>= nAsDouble ) )
+						if ( (bConverted = ( rValue >>= nAsDouble )) )
 							rConvertedValue <<= nAsDouble;
 						else
 						{	// try as integer - 96136 - 2002-10-08 - fs@openoffice.org
 							sal_Int32 nAsInteger = 0;
-							if ( bConverted = ( rValue >>= nAsInteger ) )
+							if ( (bConverted = ( rValue >>= nAsInteger )) )
 								rConvertedValue <<= (double)nAsInteger;
 						}
 					}
@@ -1209,28 +1209,28 @@
 					case TypeClass_SHORT:
                     {
                         sal_Int16 n;
-                        if ( bConverted = ( rValue >>= n ) )
+                        if ( (bConverted = ( rValue >>= n )) )
                             rConvertedValue <<= n;
                     }
 					break;
 					case TypeClass_UNSIGNED_SHORT:
                     {
                         sal_uInt16 n;
-                        if ( bConverted = ( rValue >>= n ) )
+                        if ( (bConverted = ( rValue >>= n )) )
                             rConvertedValue <<= n;
                     }
 					break;
 					case TypeClass_LONG:
                     {
                         sal_Int32 n;
-                        if ( bConverted = ( rValue >>= n ) )
+                        if ( (bConverted = ( rValue >>= n )) )
                             rConvertedValue <<= n;
                     }
 					break;
 					case TypeClass_UNSIGNED_LONG:
                     {
                         sal_uInt32 n;
-                        if ( bConverted = ( rValue >>= n ) )
+                        if ( (bConverted = ( rValue >>= n )) )
                             rConvertedValue <<= n;
                     }
 					break;
@@ -1250,7 +1250,7 @@
 					case TypeClass_ENUM:
 					{
                         sal_Int32 nValue = 0;
-                        if ( bConverted = ( rValue >>= nValue ) )
+                        if ( (bConverted = ( rValue >>= nValue )) )
                             rConvertedValue = ::cppu::int2enum( nValue, *pDestType );
 					}
 					break;